Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## alice.tuprolog
Class Int

    java.lang.Object
      alice.tuprolog.Term
          alice.tuprolog.Number
              alice.tuprolog.Int

All Implemented Interfaces:
  java.io.Serializable

public class Int
extends Number

Int class represents the integer prolog data type

See Also:
  Serialized Form

Field Summary

Fields inherited from class alice.tuprolog.Term
`FALSE, TRUE`

Constructor Summary
`Int(int v)`

Method Summary
`double` | `doubleValue()` Returns the value of the Integer as double
`float` | `floatValue()` Returns the value of the Integer as float
`int` | `intValue()` Returns the value of the Integer as int
`boolean` | `isDouble()` Deprecated. Use `instanceof alice.tuprolog.Double` instead.
`boolean` | `isEqual(Term t)` Returns true if this integer term is equal to the term provided.
`boolean` | `isFloat()` Deprecated. Use `instanceof alice.tuprolog.Float` instead.
`boolean` | `isGreater(Term t)` Returns true if this integer term is grater that the term provided.
`boolean` | `isInt()` Deprecated. Use `instanceof Int` instead.
`boolean` | `isInteger()` is this term a prolog integer term?
`boolean` | `isLong()` Deprecated. Use `instanceof alice.tuprolog.Long` instead.
`boolean` | `isReal()` is this term a prolog real term?
`boolean` | `isTypeDouble()` Deprecated. Use `instanceof alice.tuprolog.Double` instead.
`boolean` | `isTypeFloat()` Deprecated. Use `instanceof alice.tuprolog.Float` instead.
`boolean` | `isTypeInt()` Deprecated. Use `instanceof Int` instead.
`boolean` | `isTypeLong()` Deprecated. Use `instanceof alice.tuprolog.Long` instead.
`long` | `longValue()` Returns the value of the Integer as long
`java.lang.String` | `toString()`

Methods inherited from class alice.tuprolog.Number
`copy, createNumber, free, getTerm, isAtom, isAtomic, isCompound, isEmptyList, isGround, isList, isNumber, isStruct, isVar`

Methods inherited from class alice.tuprolog.Term
`copyGoal, copyResult, createTerm, createTerm, equals, getIterator, iteratedGoalTerm, match, parse, parse, resolveTerm, unify`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Int

    public Int(int v)

Method Detail

### intValue

    public final int intValue()

  Returns the value of the Integer as int

  Specified by:
    `intValue` in class `Number`

### floatValue

    public final float floatValue()

  Returns the value of the Integer as float

  Specified by:
    `floatValue` in class `Number`

### doubleValue

    public final double doubleValue()

  Returns the value of the Integer as double

  Specified by:
    `doubleValue` in class `Number`

### longValue

    public final long longValue()

  Returns the value of the Integer as long

  Specified by:
    `longValue` in class `Number`

### isInteger

    public final boolean isInteger()

  is this term a prolog integer term?

  Specified by:
    `isInteger` in class `Number`

### isReal

    public final boolean isReal()

  is this term a prolog real term?

  Specified by:
    `isReal` in class `Number`

### isTypeInt

    public final boolean isTypeInt()

  Deprecated. Use `instanceof Int` instead.

  is an int Integer number?

  Specified by:
    `isTypeInt` in class `Number`

### isInt

    public final boolean isInt()

  Deprecated. Use `instanceof Int` instead.

  is an int Integer number?

  Specified by:
    `isInt` in class `Number`

### isTypeFloat

    public final boolean isTypeFloat()

  Deprecated. Use `instanceof alice.tuprolog.Float` instead.

  is a float Real number?

  Specified by:
    `isTypeFloat` in class `Number`

### isFloat

    public final boolean isFloat()

  Deprecated. Use `instanceof alice.tuprolog.Float` instead.

  is a float Real number?

  Specified by:
    `isFloat` in class `Number`

### isTypeDouble

    public final boolean isTypeDouble()

  Deprecated. Use `instanceof alice.tuprolog.Double` instead.

  is a double Real number?

  Specified by:
    `isTypeDouble` in class `Number`

### isDouble

    public final boolean isDouble()

  Deprecated. Use `instanceof alice.tuprolog.Double` instead.

  is a double Real number?

  Specified by:
    `isDouble` in class `Number`

### isTypeLong

    public final boolean isTypeLong()

  Deprecated. Use `instanceof alice.tuprolog.Long` instead.

  is a long Integer number?

  Specified by:
    `isTypeLong` in class `Number`

### isLong

    public final boolean isLong()

  Deprecated. Use `instanceof alice.tuprolog.Long` instead.

  is a long Integer number?

  Specified by:
    `isLong` in class `Number`

### isGreater

    public boolean isGreater(Term t)

  Returns true if this integer term is grater that the term provided. For number term argument, the int value is considered.

  Specified by:
    `isGreater` in class `Term`

### isEqual

    public boolean isEqual(Term t)

  Returns true if this integer term is equal to the term provided.

  Specified by:
    `isEqual` in class `Term`

### toString

    public java.lang.String toString()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD